Package commoble.looot.data

# Class NameList

java.lang.Object
commoble.looot.data.NameList

public class NameList extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.mojang.serialization.Codec<NameList>`
`CODEC`

## Constructor Summary

Constructors
Constructor
Description
`NameList(boolean replace, List<String> values)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getReplace()`
`List<String>`
`getValues()`
`static List<String>`
`merge(List<NameList> raws)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CODEC

public static final com.mojang.serialization.Codec<NameList> CODEC

## Constructor Details

### NameList

public NameList(boolean replace, List<String> values)

## Method Details

### getReplace

public boolean getReplace()

### getValues

public List<String> getValues()

### merge

public static List<String> merge(List<NameList> raws)